{% comment %}
This is a component. It should not exist by itself, but only as an included snippet in another template.

Context equirements:
* An object "q" that contains a query string.
* (Optional) An object "placeholder" that contains placeholder text for the search-bar.

Note that this is a simple GET-based search bar, so no fancy AJAX shenanigans.
The query argument "q" can be accessed in a view by `query = self.request.GET.get("q")`.
{% endcomment %}

<div class="block">
    <form action="" method="GET">
        <input name="page" value="1" type="hidden">
        <div class="field has-addons">
            <div class="control has-icons-left is-expanded">
                <input name="q" {% if q %} value="{{ q }}" {% endif %} class="input" type="text" placeholder={% if placeholder %}"{{ placeholder }}"{% else %}"Zoek iets..."{% endif %}>
                <span class="icon is-small is-left">
                    <i class="fas fa-search"></i>
                </span>
            </div>
            <div class="control">
                <button type="submit" class="button is-primary">Zoeken</buton>
            </div>
        </div>
    </form>
</div>